Page MenuHomePhabricator

[mips] Allowed dla instructions on 32-bit architectures.
ClosedPublic

Authored by s.egerton on Oct 9 2015, 7:52 AM.

Details

Summary

This is now the same as the behaviour of the GNU assembler. This was done
as it is required in order to build the Linux kernel with the integrated
assembler enabled.

Diff Detail

Event Timeline

s.egerton updated this revision to Diff 36948.Oct 9 2015, 7:52 AM
s.egerton retitled this revision from to [mips] Allowed dla instructions on 32-bit architectures..
s.egerton updated this object.
s.egerton added reviewers: dsanders, vkalintiris.
s.egerton added a subscriber: llvm-commits.
vkalintiris requested changes to this revision.Oct 9 2015, 3:25 PM
vkalintiris edited edge metadata.

Could you add a few tests to check this change?

This revision now requires changes to proceed.Oct 9 2015, 3:25 PM
s.egerton updated this revision to Diff 41057.Nov 24 2015, 9:09 AM
s.egerton edited edge metadata.

I've now added test cases which test everything that is tested for dla on 64-bit architecture. I had to update the patch to then pass these tests.

vkalintiris accepted this revision.Jan 19 2016, 2:48 AM
vkalintiris edited edge metadata.

LGTM, but clang-format the sources before committing.

test/MC/Mips/macro-dla-32bit.s
2

Do we really need the -gpsize option?

This revision is now accepted and ready to land.Jan 19 2016, 2:48 AM
s.egerton closed this revision.Jan 21 2016, 7:14 AM